Bug 152158 - After creating new bookmark folder focus jumps back to root of bookmarks tree
Summary: After creating new bookmark folder focus jumps back to root of bookmarks tree
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: bookmarks (show other bugs)
Version: 4.8.3
Platform: Ubuntu Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-11 02:38 UTC by Beat Fasel
Modified: 2014-02-12 09:34 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Beat Fasel 2007-11-11 02:38:57 UTC
Version:           3.5.8 (using KDE KDE 3.5.8)
Installed from:    Ubuntu Packages
OS:                Linux

If one attempts to bookmark a web page in konqueror and decides to put this new bookmark into a newly created folder, the focus jumps back to the root of the bookmarks tree and one is forced to navigate back to the newly created folder. This is tiresome with a big bookmark tree. I think it would be a reasonable choice to save the current bookmark under the newly created bookmark folder.

This bug has been reported earlier (more than 3 years ago) and marked as a duplicate (Bug 79567), however, it was not mentioned which duplicate it was. As of KDE version 3.5.8 the same problem still persists.
Comment 1 Beat Fasel 2009-10-12 09:55:05 UTC
This bug is still valid as of KDE 4.3.2.
Comment 2 soloturn 2011-07-01 13:07:20 UTC
bookmarks are not necessary any more, use google, spotlight, or another local search tool.
Comment 3 Beat Fasel 2011-07-08 13:13:49 UTC
> bookmarks are not necessary any more, use google, spotlight, or another local
search tool.

I beg to differ. Bookmarks are still very much relevant for two reasons:

1) I am able to organize content personally the way I want and do not have type in text to search for things I know where they are located. Similarly, I prefer to use a file manager to navigate in my file system and not a search engine.

2) I will not install or use proprietary technologies like google or spotlight on my computer (I don't trust them) and unfortunately, as of today, the available free software local search engines still do not work properly (for instance, strigi is still causing many CPU/memory problems, crashes too often and hence is the first thing I turn off after installing KDE).
Comment 4 Myriam Schweingruber 2012-06-18 18:11:05 UTC
Is this still valid for Konqueror 4.8.4 or later?
Comment 5 Beat Fasel 2012-06-20 08:37:03 UTC
Just  checked with a Kubuntu Live CD, updated to KDE 4.8.3. This bug is still there. Would surprise me if this was fixed in KDE 4.8.4. 

Anyway, it is easy to verify: Bookmark a website (Add bookmark), create a new folder where the bookmark should go into and there you go, instead of saving the current website into the new folder, the selection jumps back to the root of the bookmark tree.
Comment 6 Myriam Schweingruber 2012-06-20 09:22:10 UTC
Thank you for the fast feedback.
Comment 7 Dawit Alemayehu 2013-12-24 14:50:00 UTC
Git commit 2d83344174fe956dd6df0be6c96e068e5186371c by Dawit Alemayehu.
Committed on 15/12/2013 at 16:25.
Pushed by adawit into branch 'KDE/4.12'.

When a user creates a new bookmark folder make that the current item.
REVIEW: 114479
FIXED-IN: 4.12.1

M  +14   -7    kio/bookmarks/kbookmarkdialog.cc
M  +3    -0    kio/bookmarks/kbookmarkdialog.h

http://commits.kde.org/kdelibs/2d83344174fe956dd6df0be6c96e068e5186371c
Comment 8 Dawit Alemayehu 2014-02-12 09:34:55 UTC
Git commit 4d34879e8e253286030a0f7193b6bd90ea4bf1a8 by Dawit Alemayehu.
Committed on 25/12/2013 at 15:18.
Pushed by adawit into branch 'master'.

When a user creates a new bookmark folder make that the current item.
REVIEW: 114479
FIXED-IN: 4.12.1

M  +8    -4    src/kbookmarkdialog.cpp
M  +1    -1    src/kbookmarkdialog_p.h

http://commits.kde.org/kbookmarks/4d34879e8e253286030a0f7193b6bd90ea4bf1a8